Skip to Content
author's profile photo Former Member
Former Member

ABAPunit on 4.6C?

Hi,

I have read good things about JUnit and would like to try ABAPunit. I know that ABAPunit is shipped with WAS 6.4, but is there a way we could download the code to our old and creaking 4.6C system?

Slath.

Add a comment
10|10000 characters needed characters exceeded

Assigned Tags

Related questions

4 Answers

  • Best Answer
    Posted on Feb 15, 2005 at 10:46 AM

    I do not think so - since in my understanding the assert command is an abap statement. I think that there was a group of German students developing classes for asserts which could be compatible to 46c - but I do not remember their name - there was a presentation at DSAG 2 years ago.

    Christian

    Add a comment
    10|10000 characters needed characters exceeded

  • Posted on Feb 15, 2005 at 11:07 AM

    Some tools have downport version (Note Assistant, Code Inspector, Memory Inspector, SAAB)...but only for one version lower.

    ABAP Unit is developed for 6.40...I haven't heard that it would be downported into 6.20...so I'm almost sure there is no downport for 4.6C.

    From the other hand I think you not only need the ABAP changes, probable some functionality built in the kernel:-(

    Peter

    Add a comment
    10|10000 characters needed characters exceeded

  • author's profile photo Former Member
    Former Member
    Posted on Feb 15, 2005 at 01:21 PM

    Peter is right. ABAP Unit is only available from 6.40, not least because it has dependencies in the kernel.

    Add a comment
    10|10000 characters needed characters exceeded

    • The presentation I was referring to was

      at the DSAG Jahreskonkress -

      They introduced self written abap methods for unit testing. Maybe those would work on a 4.6 - System

      The contact addreses are as following

      DSAG Jahreskongress 2003, Seite 32

      Kontakt

      Tammo Freese (OFFIS) - xxxxxxxx

      Markus Theilen (BTC AG) - xxxxxx

      Homepage

      http://www.offis.de/bi/projekte/aou.php

      however the link is broken and I crossed out the eMail addresses since I do not know the people and I am not sure if they would like to have it published.

      But maybe you could check the official contact information @ www.offis.de if you would like to contact them.

      Christian

  • Posted on Feb 17, 2005 at 11:19 AM

    Hello Slath,

    as already told ABAP Unit has dependencies to the kernel and is therefore only available for Release >= 6.40.

    There seem to be some similar projects. But for sure they might differ in the one or other way. An acutal (german) link to the offis version is

    http://www.offis.de/projekte/projekt.php?id=102

    Best Regards

    Klaus

    Add a comment
    10|10000 characters needed characters exceeded

Before answering

You should only submit an answer when you are proposing a solution to the poster's problem. If you want the poster to clarify the question or provide more information, please leave a comment instead, requesting additional details. When answering, please include specifics, such as step-by-step instructions, context for the solution, and links to useful resources. Also, please make sure that you answer complies with our Rules of Engagement.
You must be Logged in to submit an answer.

Up to 10 attachments (including images) can be used with a maximum of 1.0 MB each and 10.5 MB total.